using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using Syncfusion.Windows.Forms.Grid;

namespace WindowsApplication2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        DataTable dt;
        private DataTable GetTable()
        {
            DataTable table = new DataTable();
            for (int i = 0; i < 2; i++)
                table.Columns.Add();
            table.Columns.Add(new DataColumn("Check", typeof(bool)));
            for (int i = 0; i < 10; i++)
            {

                DataRow row = table.NewRow();
                row[0] = string.Format("row{0}", i);
                table.Rows.Add(row);
            }
            return table;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dt = GetTable();
            this.dg.DataSource = dt;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (this.dg.CurrentCell.RowIndex > 0)
            {
                int rowCount = dg.Selections.GetSelectedRows(true, true).Count;
                if (rowCount > 0)
                {
                    //==========Get Delete Marker No==================
                    ArrayList arDeleteKey = new ArrayList();
                    foreach (GridRangeInfo r in this.dg.Selections.GetSelectedRows(true, true))
                    {
                        for (int row = r.Top; row <= r.Bottom; row++)
                        {
                            string deletekey = this.dg[row, 1].CellValue.ToString().Trim();
                            arDeleteKey.Add(deletekey);
                        }
                    }
                    //==============================================

                    if (rowCount == 1)
                    {
                        MessageBox.Show("Are You sure you wanna delete " + arDeleteKey[0].ToString().Trim(),
                            "Confirm Delete",    
                            MessageBoxButtons.YesNo, MessageBoxIcon.Warning);
                    }
                    else if (rowCount > 1)
                    {
                        string message = string.Empty;
                        foreach (string item in arDeleteKey)
                        {
                            message += item + " ";
                        }
                        MessageBox.Show("Are You sure you wanna delete " + rowCount.ToString() + " items?",
                        "Confirm Delete",                            
                        MessageBoxButtons.YesNo, MessageBoxIcon.Warning);
                    }
                        
                }
            }
        }
    }
}